Name:           arfedy
Version:        0.7
Release:        1%{?dist}
Summary:        Python Script to install multimedia codecs and additional software
Group:      Applications/System
BuildArch:  noarch
License:        GPLv3
URL:            https://github.com/yucefsourani/arfedy
Source0:        https://github.com/yucefsourani/arfedy/archive/%{version}.tar.gz
BuildRequires:  python3-rpm-macros
BuildRequires:  python3-devel
Requires:   arfedy-lib

%description
Python Script to install multimedia codecs and additional software.


%package -n arfedy-lib
Summary:    Talwin lib for arfedy script


%description -n arfedy-lib
Talwin lib for arfedy script.

%prep
%setup



%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{python3_sitelib}
install -pDm0755 ./0.1/arfedy %{buildroot}%{_bindir}/arfedy
cp -f ./0.1/talwin.py  %{buildroot}%{python3_sitelib}/talwin.py

%files
%{_bindir}/arfedy

%files -n  arfedy-lib
%{python3_sitelib}/talwin.py
%if 0%{?fedora} >= 25
%{python3_sitelib}/__pycache__/talwin*
%endif

%changelog
* Mon Jan 14 2019 yucuf sourani <youssef.m.sourani@gmail.com> 0.7-1
- Version 0.7 

* Tue Sep 25 2018 yucuf sourani <youssef.m.sourani@gmail.com> 0.6-1
- Version 0.6 

* Sun Apr 30 2018 yucefsourani <youssef.m.sourani@gmail.com> - 0.5-1
- Version 0.5

* Sun Apr 29 2018 yucefsourani <youssef.m.sourani@gmail.com> - 0.4-1
- Version 0.4

* Wed Apr 04 2018 youcef sourani <youssef.m.sourani@gmail.com> - 0.3-1
- Version 0.3

* Fri Oct 06 2017 youcef sourani <youssef.m.sourani@gmail.com - 0.2-1
- Version 0.2

* Wed Apr 05 2017 youcef sourani <youssef.m.sourani@gmail.com> - 0.1-5
- Release 5

* Wed Apr 05 2017 youcef sourani <youssef.m.sourani@gmail.com> - 0.1-4
- Release 4

* Wed Apr 05 2017 youcef sourani <youssef.m.sourani@gmail.com> - 0.1-3
- Release 3

* Wed Apr 05 2017 youcef sourani <youssef.m.sourani@gmail.com> - 0.1-2
- Release 2

* Thu Sep 15 2016 youcef sourani youssef.m.sourani@gmail.com - 0.1-1
- Initial package for Fedora
